with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;

package InDash is

   type Instrument is abstract tagged limited private;

   type Instrument_Reference is access all Instrument;

   type Any_Instrument is access all Instrument'Class;

   function Name (This : access Instrument) return String;

   procedure Set_Name (This : access Instrument;  To : String);

   procedure Display (This : access Instrument);

   procedure Update  (This : access Instrument; Millisec : Integer) is abstract;
   -- update the state of the instrument after millisec has lapsed

private

   type Instrument is abstract tagged limited record
      Name : Unbounded_String;
   end record;

end InDash;
